Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 04/20/2019 in all areas

  1. Format is (Steal <Drawing Filename> <Item List>) Drawing Filename (dwg) The full filename of the drawing from which items are to be imported. Item List (lst) A list of items to be imported, in the following format: ( ( <Collection 1> (<Item 1> <Item 2> ... <Item N>) ) ( <Collection 2> (<Item 1> <Item 2> ... <Item N>) ) ... ( <Collection N> (<Item 1> <Item 2> ... <Item N>) ) ) Try (Steal "D:\\Geodezija\\Kartografska zbirka\\1000_BLOKOVI.dwg" (list (list "Blocks" (list kbn))) ) ;_ Steal
    1 point
  2. I think you would be better doing the connecting up manually. There are a lot of RE coded points, but how would a programme know which side of the road they represent? and where to join up at a junction?
    1 point
  3. Try this : ;; Change Objects Color (vl-load-com) (defun C:COC (/ *error* cme c_doc ss clr obj cnt) (defun *error* ( msg ) (if cme (setvar 'cmdecho cme)) (if (and c_doc (= 8 (logand 8 (getvar 'UNDOCTL)))) (vla-endundomark c_doc)) (if (not (wcmatch (strcase msg) "*BREAK*,*CANCEL*,*EXIT*")) (princ (strcat "\nOops an Error occurred : " msg))) (princ) );end_defun *error* (cond ( (/= (getvar 'cmdecho) 0) (setq cme (getvar 'cmdecho)) (setvar 'cmdecho 0))) (prompt "\nSelect Objects to Color : ") (setq c_doc (vla-get-activedocument (vlax-get-acad-object)) clr 1 ;0 = Byblock , 256 = Bylayer ss (ssget) );end_setq (cond (ss (if (and c_doc (= 8 (logand 8 (getvar 'UNDOCTL)))) (vla-endundomark c_doc)) (vla-startundomark c_doc) (repeat (setq cnt (sslength ss)) (setq obj (vlax-ename->vla-object (ssname ss (setq cnt (1- cnt))))) (if (vlax-property-available-p obj 'color T) (vlax-put-property obj 'color clr)) );end_repeat (if (and c_doc (= 8 (logand 8 (getvar 'UNDOCTL)))) (vla-endundomark c_doc)) ) );end_cond (if cme (setvar 'cmdecho cme)) (princ) );end_defun The hard coded integer color value is variable "clr" currently set to 1, and found in the first multi (setq) statement
    1 point
×
×
  • Create New...